apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
spec:
  selector:
    matchLabels:
      app: backend
  replicas: 1
  template:
    metadata:
      labels:
        app: backend
    spec:
      containers:
        - name: backend
          image: larrybrand/tchallenge-service
          ports:
            - containerPort: 4567
          env:
            - name: TCHALLENGE_MONGODB_HOST
              value: "10.100.23.78"
---
apiVersion: v1
kind: Service
metadata:
  name: backend
spec:
  selector:
    app: backend
  ports:
    - port: 4567
      targetPort: 4567
